/*
 * Photo Image Print System
 * Copyright (C) 2001-2005 EPSON AVASYS Corporation.
 * Copyright (C) Seiko Epson Corporation 2001-2008.
 *
 * This file is part of the `espmntg' program.
 *
 *  This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
 
#include <stdio.h>
#include <stdarg.h>
#include "ekpdbg.h"

void dbgprintHlp(const char *format, ...){
	va_list 	ap;
	
	va_start(ap, format);
	vfprintf(stderr, format, ap);
	va_end(ap);
}


void dbgDmp(const char *fbuf, int len){
	int n = 0;
	for( ; n < len; n++){
		DP(( "%02X ", *(fbuf + n) ));
	}
	DP(( "\n"));
}
